# Filename: selection_get_display_mode.py
# Purpose: Get property for display mode.
# Returns: String.

from maptek import vulcan_gui

# select layer from the screen
sel = vulcan_gui.selection("Select Object")
sel.set_display_mode('SHADOW')
selection_state = sel.get_display_mode()
print(selection_state)

# do something after selection...
for obj in sel:
    layer_name = obj.layer